# Run tests in check section
%bcond_without check

# https://github.com/soheilhy/cmux
%global goipath         github.com/soheilhy/cmux
Version:                0.1.4

%global common_description %{expand:
cmux is a generic Go library to multiplex connections based on their payload.
Using cmux, you can serve gRPC, SSH, HTTPS, HTTP, Go RPC, and pretty much any
other protocol on the same TCP listener.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        Connection multiplexer for GoLang: serve different services on the same port
# Detected licences
# - *No copyright* Apache License (v2.0) at 'LICENSE'
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(golang.org/x/net/http2)
BuildRequires: golang(golang.org/x/net/http2/hpack)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup

# Dep "google.golang.org/grpc/examples/helloworld/helloworld" is not included
# ir the grpc package
rm example_test.go


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md CONTRIBUTORS


%changelog
* Thu Mar 14 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.4-1
- First package for Fedora

